diff tests/test-profile @ 5161:24d306834de5

merge with -stable
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Tue, 14 Aug 2007 17:20:51 +0200
parents 105d4cf7ec24
children 9b0efeb725f4
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/tests/test-profile
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+echo % test --time
+hg --time help 2>&1 | grep -q Time || echo --time failed
+
+echo % test --profile
+hg --profile help 2>&1 | grep -q ncalls || echo --profile failed
+
+echo % test --lsprof
+if "$TESTDIR/hghave" -q lsprof; then
+    hg --lsprof help 2>&1 | grep -q CallCount || echo --lsprof failed
+fi
\ No newline at end of file